SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Security)  >   GnuPG (Gnu Privacy Guard) Vendors:   Gnupg.org
GnuPG Integer Overflow in Processing User ID Values May Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016519
SecurityTracker URL:  http://securitytracker.com/id/1016519
CVE Reference:   CVE-2006-3082   (Links to External Site)
Date:  Jul 18 2006
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 1.4.3 and prior versions
Description:   A vulnerability was reported in GnuPG (Gnu Privacy Guard). A remote user may be able to cause arbitrary code to be executed on the target user's system.

A remote user can create a GnuPG signature with specially crafted User ID value that, when processed by the target user, will trigger an integer overflow and cause the target user's application to crash or potentially execute arbitrary code. The code will run with the privileges of the target user.

The vulnerability resides in 'parse-packet.c'.

Evgeny Legerov reported this vulnerability.

Impact:   A remote user can create a signature that, when processed by the target user, will execute arbitrary code on the target user's system or cause the target user's application to crash.
Solution:   The vendor has issued a fixed version (1.4.4).
Vendor URL:  www.gnupg.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jul 18 2006 (Red Hat Issues Fix) GnuPG Integer Overflow in Processing User ID Values May Let Remote Users Execute Arbitrary Code
Red Hat has released a fix for Red Hat Enterprise Linux 2.1, 3, and 4.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC